<?php
/**
 * Template Name: Custom Home Page
 */

get_header(); ?>

<?php do_action( 'fashion_designer_before_slider' ); ?>

<?php if( get_theme_mod( 'fashion_designer_slider_arrows') != '') { ?>
<section id="slider">
  <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
    <?php $fashion_designer_pages = array();
      for ( $count = 1; $count <= 4; $count++ ) {
        $mod = intval( get_theme_mod( 'fashion_designer_slider_page' . $count ));
        if ( 'page-none-selected' != $mod ) {
          $fashion_designer_pages[] = $mod;
        }
      }
      if( !empty($fashion_designer_pages) ) :
        $args = array(
          'post_type' => 'page',
          'post__in' => $fashion_designer_pages,
          'orderby' => 'post__in'
        );
        $query = new WP_Query( $args );
        if ( $query->have_posts() ) :
          $i = 1;
    ?>     
    <div class="carousel-inner" role="listbox">
      <?php while ( $query->have_posts() ) : $query->the_post(); ?>
        <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
          <img src="<?php the_post_thumbnail_url('full'); ?>"/>
          <div class="carousel-caption">
            <div class="inner_carousel">
              <h2><?php the_title(); ?></h2>
              <div class="more-btn">
                <a href="<?php echo esc_url(get_permalink()); ?>"><?php esc_html_e( 'READ MORE', 'fashion-designer' ); ?></a>
              </div>
            </div>
          </div>
        </div>
      <?php $i++; endwhile; 
      wp_reset_postdata();?>
    </div>
    <?php else : ?>
        <div class="no-postfound"></div>
    <?php endif;
    endif;?>
    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
      <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
    </a>
    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
      <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
    </a>
  </div>
  <div class="clearfix"></div>
</section>
<?php } ?>

<?php do_action( 'fashion_designer_after_slider' ); ?>

<section class="fashion-cat">
  <div class="container">
    <div class="fashion-box">
      <div class="row">        
        <?php 
        $catData=  get_theme_mod('fashion_designer_category');
          if($catData){
          $page_query = new WP_Query(array( 'category_name' => esc_html( $catData ,'fashion-designer')));?>
            <?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
              <div class="col-lg-4 col-md-4">
                <div class="box">
                  <img src="<?php the_post_thumbnail_url('full'); ?>"/>
                  <div class="box-content">
                    <div class="row">
                      <div class="col-lg-10 col-md-9 col-9">
                        <?php the_category(); ?>
                        <h4><?php the_title();?></h4>
                      </div>
                      <div class="col-lg-2 col-md-3 col-3 read-btn">
                        <a href="<?php echo esc_url( get_permalink() );?>"><i class="fas fa-long-arrow-alt-right"></i></a>
                      </div>
                    </div>
                    
                  </div>
                </div>
              </div>
            <?php endwhile;
          wp_reset_postdata();
        } ?>
      </div>
    </div>
  </div>
</section>

<?php do_action( 'fashion_designer_after_service' ); ?>

<div id="content-vw">
  <div class="container">
    <?php while ( have_posts() ) : the_post(); ?>
      <?php the_content(); ?>
    <?php endwhile; // end of the loop. ?>
  </div>
</div>

<?php get_footer(); ?>
